
public class MinMitMax
{
   public static void main(String[]args) throws java.io.IOException
   {
      //Tastatureingabe vorbereiten
      java.io.BufferedReader in=new java.io.BufferedReader(
         new java.io.InputStreamReader(System.in));
         
      int   min = 0;
      int   max = 0;
      int   mit = 0;
      int   eingabe = 0;   
      String tastaturText;
      boolean checkVar = false;
      
      System.out.println("Programm zur Ausgabe der drei groessten Zahlen");
      while (checkVar == false)
      {
         System.out.println("Bitte eine Zahl eingeben! (Abbruch mit 0)");
         try
         {
            tastaturText = in.readLine();
            eingabe=Integer.parseInt(tastaturText);
            checkVar = true;
         }
         catch (NumberFormatException nfe)
         {
            System.out.println("Das war keine Zahl!");
         }  
      }
//    checkVar = false;
      while (eingabe!=0)
      {
         checkVar = false;
         if (eingabe >= max)
         {  
            min=mit;
            mit=max;
            max=eingabe;
         }
         else
         {
            if (eingabe >= mit)
            {
               min=mit;
               mit=eingabe;
            }
            else
            {
               if (eingabe>=min)
               {
                  min=eingabe;
               }
            }  
         }
         
         while (checkVar == false)
         {     
            System.out.println("Bitte die naechste Zahl eingeben! (Abbruch mit 0)");
            try
            {
               tastaturText = in.readLine();
               eingabe=Integer.parseInt(tastaturText);
               checkVar = true;
            }
            catch (NumberFormatException nfe)
            {
               System.out.println("Das war keine Zahl!");
            }  
         }  
      }  
      System.out.println("Die drei groessten zahlen waren: "+max+" , "+mit+" und "+min);
      System.out.println("Programmende");
      
            
   }
}     